Bug 1930645 - golang-honnef-tools-2021.1 is available
Summary: golang-honnef-tools-2021.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-honnef-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-19 10:58 UTC by Upstream Release Monitoring
Modified: 2021-08-15 01:32 UTC (History)
4 users (show)

Fixed In Version: golang-honnef-tools-2021.1-1.fc35 golang-honnef-tools-2021.1-1.fc34 golang-honnef-tools-2021.1-1.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-05 15:27:35 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
[patch] Update to 2020.2.2 (#1930645) (1.48 KB, patch)
2021-02-19 10:59 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2020.2.3 (#1930645) (1.48 KB, patch)
2021-03-09 15:47 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2021.1 (#1930645) (1.47 KB, patch)
2021-05-26 10:07 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-02-19 10:58:47 UTC
Latest upstream release: 2020.2.2
Current version/release in rawhide: 2020.2.1-2.fc34
URL: https://github.com/dominikh/go-tools

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19202/

Comment 1 Upstream Release Monitoring 2021-02-19 10:59:01 UTC
One or more of the new sources for this package are identical to the old sources. This is most likely caused either by identical source files between releases, for example service files, or the specfile does not use version macro in its source URLs. If this is the second case, then please update the specfile to use version macro in its source URLs.

Comment 2 Upstream Release Monitoring 2021-02-19 10:59:04 UTC
Created attachment 1758129 [details]
[patch] Update to 2020.2.2 (#1930645)

Comment 3 Upstream Release Monitoring 2021-02-19 11:09:15 UTC
the-new-hotness/release-monitoring.org's scratch build of golang-honnef-tools-2020.2.2-1.20210122git2020.2.1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=62276508

Comment 4 Upstream Release Monitoring 2021-03-09 15:46:48 UTC
Latest upstream release: 2020.2.3
Current version/release in rawhide: 2020.2.1-2.fc34
URL: https://github.com/dominikh/go-tools

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19202/

Comment 5 Upstream Release Monitoring 2021-03-09 15:47:05 UTC
One or more of the new sources for this package are identical to the old sources. This is most likely caused either by identical source files between releases, for example service files, or the specfile does not use version macro in its source URLs. If this is the second case, then please update the specfile to use version macro in its source URLs.

Comment 6 Upstream Release Monitoring 2021-03-09 15:47:07 UTC
Created attachment 1762016 [details]
[patch] Update to 2020.2.3 (#1930645)

Comment 7 Upstream Release Monitoring 2021-03-09 16:02:00 UTC
the-new-hotness/release-monitoring.org's scratch build of golang-honnef-tools-2020.2.3-1.20210122git2020.2.1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=63431414

Comment 8 Upstream Release Monitoring 2021-05-02 05:12:08 UTC
Latest upstream release: 2020.2.4
Current version/release in rawhide: 2020.2.1-2.fc34
URL: https://github.com/dominikh/go-tools

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19202/

Comment 9 Upstream Release Monitoring 2021-05-02 05:12:10 UTC
One or more of the new sources for this package are identical to the old sources. This is most likely caused either by identical source files between releases, for example service files, or the specfile does not use version macro in its source URLs. If this is the second case, then please update the specfile to use version macro in its source URLs.

Comment 10 Upstream Release Monitoring 2021-05-02 05:12:12 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 11 Upstream Release Monitoring 2021-05-26 10:07:12 UTC
Latest upstream release: 2021.1
Current version/release in rawhide: 2020.2.1-2.fc34
URL: https://github.com/dominikh/go-tools

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19202/

Comment 12 Upstream Release Monitoring 2021-05-26 10:07:16 UTC
One or more of the new sources for this package are identical to the old sources. This is most likely caused either by identical source files between releases, for example service files, or the specfile does not use version macro in its source URLs. If this is the second case, then please update the specfile to use version macro in its source URLs.

Comment 13 Upstream Release Monitoring 2021-05-26 10:07:18 UTC
Created attachment 1787171 [details]
[patch] Update to 2021.1 (#1930645)

Comment 14 Upstream Release Monitoring 2021-05-26 10:14:51 UTC
the-new-hotness/release-monitoring.org's scratch build of golang-honnef-tools-2021.1-1.20210122git2020.2.1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=68780905

Comment 15 Fedora Update System 2021-08-05 15:24:33 UTC
FEDORA-2021-b4c8799f0e has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b4c8799f0e

Comment 16 Fedora Update System 2021-08-05 15:25:20 UTC
FEDORA-2021-0566b8f8f9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0566b8f8f9

Comment 17 Fedora Update System 2021-08-05 15:27:08 UTC
FEDORA-2021-13b18b1986 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-13b18b1986

Comment 18 Fedora Update System 2021-08-05 15:27:35 UTC
FEDORA-2021-b4c8799f0e has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2021-08-07 01:35:33 UTC
FEDORA-2021-0566b8f8f9 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0566b8f8f9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0566b8f8f9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2021-08-07 14:11:06 UTC
FEDORA-2021-13b18b1986 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-13b18b1986`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-13b18b1986

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2021-08-15 01:10:20 UTC
FEDORA-2021-13b18b1986 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2021-08-15 01:32:49 UTC
FEDORA-2021-0566b8f8f9 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.